Operating systems that support the DS CLI

The DS command-line interface (CLI) can be installed on a variety of operating systems. Refer to the list of operating systems to ensure that your operating system software and its version can support the installation of the DS CLI.

You can install the DS CLI on machines that use one of the following operating systems:
  • AIX® 7.1, 7.2
  • IBM® i7.1, 7.2
  • Linux®, Red Hat® Enterprise Linux [RHEL] 4, 5, 6, 7, 8
  • Linux, SUSE Linux, Enterprise Server (SLES) 10, 11, 12
  • Microsoft Windows Server 2008, 2012, 2016, 2019, 2022. Windows 7, 8, 8.1, 10, 11
  • Oracle Solaris 7, 8, 9, 10, 11
  • VMware ESX 5, 5.1, 5.5, 6 Console
  • z/OS® 1.13, 2.1, 2.2, 2.3
Note: z/OS is supported on Copy Services Manager. You can install the DS CLI along with Copy Services Manager on z/OS installations.